package tools.descartes.prisma.agent.wildfly.callstack.impl;

import tools.descartes.prisma.agent.wildfly.callstack.ComponentRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InterfaceRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InvocationGroupRecord;
import tools.descartes.prisma.agent.wildfly.callstack.TraceFactory;
import tools.descartes.prisma.agent.wildfly.callstack.TraceVisitor;

public class FilteredComponentRecord extends ComponentRecord {

	public FilteredComponentRecord(TraceFactory factory, String component) {
		super(factory, component);
	}

	@Override
	public boolean isFiltered() {
		return true;
	}

	@Override
	public InterfaceRecord requireInterface(String interf) {
		return new FilteredInterfaceRecord(this, interf);
	}
	
	@Override
	public void accept(TraceVisitor visitor, InvocationGroupRecord source) {
//		System.out.println("Filtered component " + getComponentName());
		// Filtered		
	}

}
