package tools.descartes.prisma.agent.wildfly.filters;

import java.util.regex.Pattern;

public class ComponentPredicate {
	
	private final Pattern componentPattern;
	
	public ComponentPredicate(String regex) {
		this.componentPattern = Pattern.compile(regex);
	}

	public boolean apply(String component) {
//		System.err.println("Filter component: " + component);
		return componentPattern.matcher(component).matches();
	}
}
